//
//  KGProgressHUD.h
//  水波扩散效果
//
//  Created by 北师智慧 on 2019/11/27.
//  Copyright © 2019 https://www.jianshu.com/u/3526afd857cb. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

typedef NS_ENUM(NSUInteger, KGProgressHUDStyle) {
    KGProgressHUDOnlyActivity = 0,//只有转圈动画
    KGProgressHUDActivityAndText,//带文本的转圈
    KGProgressHUDOnlyText,//只有文本
    KGProgressHUDOnlyIcon,//只有图片
    KGProgressHUDIconAndText,//图片和文本
    KGProgressHUDCustom,//用户自定义
};

@interface KGProgressHUD : NSObject

/// 只显示菊花
+ (instancetype)show;

/// 菊花带文本，如果文本为空，只显示菊花
/// @param title 文本显示内容
+ (instancetype)showProgressWith:(NSString *)title;

/// 只显示文本
/// @param title 显示文本内容
+ (instancetype)showTitle:(NSString *)title;

/// 只显示图片
/// @param image 图片
+ (instancetype)showIcon:(UIImage *)image;

/// 显示自定义图片以及文本
/// @param title 文本内容
/// @param image 自定义图片
+ (instancetype)showProgressWith:(NSString *)title icon:(UIImage *)image;

/// 自定义显示内容
/// @param view 自定义view
+ (instancetype)showCustomView:(UIView *)view;

/// 影藏菊花控件
+ (instancetype)hide;

/// 定时影藏菊花
/// @param time 时间间隔
+ (instancetype)hideWithTimeInterval:(NSTimeInterval)time;

/// 定时隐藏菊花
/// @param time 时间间隔
- (void)hideWithTimeInterval:(NSTimeInterval)time;

@end

