//
//  KGRadarView.h
//  水波扩散效果
//
//  Created by 北师智慧 on 2019/11/21.
//  Copyright © 2019 https://www.jianshu.com/u/3526afd857cb. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface KGRadarView : UIView

/// 初始化并设置背景色
/// @param frame 大小以及位置
/// @param bgColor 背景色，默认为透明色
- (instancetype)initWithFrame:(CGRect)frame bgColor:(UIColor *)bgColor;

/// 设置最初半径
/// @param radius 最初半径，默认为frame.size.width*0.5
- (void)setRadius:(CGFloat)radius;

/// 设置起始角度
/// @param startAngle 起始角度，默认为0
- (void)setStartAngle:(CGFloat)startAngle;

/// 设置结束角度
/// @param endAngle 结束角度，默认为:2*M_PI
- (void)setEndAngle:(CGFloat)endAngle;

/// 设置边框颜色
/// @param strokeColor 边框颜色，默认为:[UIColor grayColor]
- (void)setStrokeColor:(UIColor *)strokeColor;

/// 设置填充颜色
/// @param fillColor 填充颜色，默认为：[UIColor lightGrayColor]
- (void)setFillColor:(UIColor *)fillColor;

/// 设置放大倍数
/// @param scale 放大倍数，默认为两倍
- (void)setScale:(NSInteger)scale;

@end

