//
//  KGWaveView.h
//  水波扩散效果
//
//  Created by 北师智慧 on 2019/11/22.
//  Copyright © 2019 https://www.jianshu.com/u/3526afd857cb. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface KGWaveView : UIView

/// 开始动画
/// @param ratio 填充度，默认为view高的一半
- (void)drawWaterWaveWithRatio:(CGFloat)ratio;

/// 停止动画
- (void)stopWave;

/// 设置填充度
/// @param ratio 填充度，默认为高度的1/2
- (void)setRatio:(CGFloat)ratio;

/// 设置水波扩散速度
/// @param speed 速度，默认为0.1
- (void)setWaterSpeed:(CGFloat)speed;

/// 设置水波波峰值
/// @param peak 波峰值，默认为：6
- (void)setWaterPeak:(CGFloat)peak;

/// 设置水波周期
/// @param wide 周期长，默认为0.05
- (void)setWaterWide:(CGFloat)wide;

/// 设置水波路径色
/// @param strokeColor 路径色
- (void)setWaterStrokeColor:(UIColor *)strokeColor;

/// 设置水波填充色
/// @param fillColor 填充色
- (void)setWaterFillColor:(UIColor *)fillColor;

@end

